import javax.swing.JOptionPane;

public class ConfirmDialog {
  public static void main(String[] args) {

    int answer1 = JOptionPane.showConfirmDialog( // (1)
        null,                               // No parent window
        "Are you getting married?"          // Prompt
    );                                      // YES, NO and CANCEL buttons
    String answerStr1 = null;
    switch (answer1) {
      case JOptionPane.YES_OPTION:
        answerStr1 = "Congratulations!";
        break;
      case JOptionPane.NO_OPTION:
        answerStr1 = "All right.";
        break;
      case JOptionPane.CANCEL_OPTION:
      case JOptionPane.CLOSED_OPTION:
        answerStr1 = "Sorry I asked.";
        break;
      default:
        assert false;
    }
    JOptionPane.showMessageDialog(null, answerStr1);

    int answer2 = JOptionPane.showConfirmDialog( // (2)
        null,                               // No parent window
        "We understand each other, right?", // Prompt
        "Confirmation 2",                   // Title in the window
        JOptionPane.YES_NO_OPTION           // YES and NO buttons
    );
    String answerStr2 = null;
    switch (answer2) {
      case JOptionPane.YES_OPTION:
        answerStr2 = "Good!";
        break;
      case JOptionPane.NO_OPTION:
      case JOptionPane.CLOSED_OPTION:
        answerStr2 = "All right.";
        break;
      default:
        assert false;
    }
    JOptionPane.showMessageDialog(null, answerStr2);

    int answer3 = JOptionPane.showConfirmDialog(     // (3)
        null,                                // No parent window
        "Java is fun, right?",               // Prompt
        "Confirmation 3",                    // Title in the window
        JOptionPane.OK_CANCEL_OPTION,        // OK and CANCEL buttons
        JOptionPane.PLAIN_MESSAGE            // Message type
    );
    String answerStr3 = null;
    switch (answer3) {
      case JOptionPane.OK_OPTION:
        answerStr3 = "We agree!";
        break;
      case JOptionPane.CANCEL_OPTION:
      case JOptionPane.CLOSED_OPTION:
        answerStr3 = "Pity you won't confirm.";
        break;
      default:
        assert false;
    }
    JOptionPane.showMessageDialog(null, answerStr3);

    System.exit(0);
  }
}